Subject: Re: forcing a user@ into the URL if not present

From: Torsten Bögershausen <[email-masked]>
Date: Wed, 06 May 2015 06:52:32 +0200

On 05/05/2015 07:45 PM, Junio C Hamano wrote:
> Johannes Schindelin <[email-masked]> writes:
>
>> Having stumbled over [this
>> ticket](https://github.com/git-for-windows/git/issues/92) recently, it
>> appears to me as if the following should work for you:
>>
>> git clone https://:@repo.example.org/
> Wow.
>
> Is this a windows-only SSPI thing, or is this a widely accepted URL
> convention?  I haven't seen anybody use such a URL but I would say
> that is a natural thing to expect to work, as both username and
> password are missing so they should default to some sensible values,
> in this case "current user, shouldn't need password", just like
> "scheme://site:/" is "port missing so it should default to some
> sensible value, appropriate for the scheme".
>
> I think Torsten recently added a bit more test for our URL parsing
> code, especially for "scheme://site:/" (missing port), but I do not
> think we have "scheme://:site/" (missing user or password).  Perhaps
> we would want to have additional tests to cover this shape of URL?
>
I have added tests for URL parsing, but for host names/port numbers.
Not for usernames/passwords (passwords shouldn't be there,
recommends RFC 3986)

And only for the ssh:// protocol, as well as git://.
http:// and https:// are not handled by connect.c at all,
and I'm not really familiar with curl, nor kerberos.

In other words: I can not help very much at the moment.